Subject: RE: Node Req: Issue31: DHCPv6 text (ignore previous mails)

From: [email-masked]
Date: Fri, 21 Nov 2003 10:24:53 +0200

Ralph,

Expanding your text, would this be acceptable:

    IPv6 Nodes that implement DHCP, MUST use DHCP to obtain other configuration 
    information (not including address(es) upon the receipt of a Router 
    Advertisement with the 'O' flag set (see section 5.5.3 of RFC2462).

John

> -----Original Message-----
> From: ext Ralph Droms [mailto:[email-masked]]
> Sent: 20 November, 2003 16:40
> To: Pekka Savola
> Cc: Loughney John (NRC/Helsinki); [email-masked]
> Subject: RE: Node Req: Issue31: DHCPv6 text (ignore previous mails)
> 
> 
> Pekka - The specific text is ambiguous ... however, in John's
> message of 11/20, there is a sentence later in the same paragraph:
> 
>     In this context, 'use DHCP' means trying to obtain only other
>     configuration information through DHCP, not address(es).
> 
> That sentence clarifies the text I quoted.
> 
> - Ralph
> 
> At 04:29 PM 11/20/2003 +0200, Pekka Savola wrote:
> >On Thu, 20 Nov 2003, Ralph Droms wrote:
> > > I strongly suggest the use of "Nodes" (unqualified) in the text
> > > about the 'O' bit:
> > >
> > >     IPv6 Nodes that implement DHCP, MUST use DHCP upon
> > >     the receipt of a Router Advertisement with the 'O' 
> flag set (see
> > >     section 5.5.3 of RFC2462).
> > >
> > > There is no reason a router can't use DHCPv6 for other 
> configuration
> > > information.
> >
> >I agree on this point.
> >
> >However, the text you quote is ambiguous, which was the reason for my
> >rewording proposal.  If A node gets 'O' -bit advertisement (without M
> >bit), and implements DHCP, should it try to run it in "stateless
> >mode", without trying to get addresses or not?
> >
> >That is, "use DHCP" is not clear because it can refer to getting
> >addresses, other config information or both.
> >
> >Similarly, "implement DHCP" is not clear, because you can implement
> >full or stateless DHCP, which provide different functions.
> >
> >This text needs a bit of revising.
> >
> >--
> >Pekka Savola                 "You each name yourselves king, yet the
> >Netcore Oy                    kingdom bleeds."
> >Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
> 
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Ralph Droms <[email-masked]>
Date: Fri, 21 Nov 2003 09:03:10 -0500

(inline)

>     Advertisement with the 'O' flag set (see section 5.5.3 of RFC2462).

John - would this sentence replace both paragraphs (from your previous e-mail):

    IPv6 Nodes (acting as hosts) that implement DHCP, MUST use DHCP upon
    the receipt of a Router Advertisement with the 'O' flag set (see
    section 5.5.3 of RFC2462).  In addition, in the
    absence of a router, hosts that implement DHCP MUST attempt to use
    DHCP. In this context, 'use DHCP' means trying to obtain only other
    configuration information through DHCP, not address(es).

    IPv6 Nodes that do not implement DHCP can ignore the 'O' flag
    of a Router Advertisement.  Furthermore, in the absence of
    a router, these types of node are not required to initiate DHCP.

I think your new text is OK for the first paragraph but we still need to 
address the second; perhaps:

    If an IPv6 Node that implements DHCPv6 does not receive a Router
    Advertisement, it will initiate DHCPv6 for address assignment (see
    above).  The use of DHCPv6 for address assignment will also
    provide other available configuration information.

    IPv6 Nodes that do not implement DHCPv6 can ignore the 'O' flag
    of a Router Advertisement.

- Ralph

---

From: Tim Chown <[email-masked]>
Date: Fri, 21 Nov 2003 17:00:34 +0000

>    section 5.5.3 of RFC2462).  

Section 5.5.3 of RFC2462 states "should", not "MUST".   You're changing what 
the RFC says - is this change going to be made in RFC2462-bis?  Could you
clarify?

>    In addition, in the

In section 5.5.2 of RFC2462 it says "addresses and other configuration
information", not just other configuration information.   So the same
consistency question applies.

Tim

---

From: Ralph Droms <[email-masked]>
Date: Fri, 21 Nov 2003 12:24:49 -0500

Looks like we've got dueling revisions...

I agree with both your points: this Requirements doc ought to
use the same requirements words as the original RFC (I used
MUST just editing the original proposed text); and if the node
does not receive any RAs, it ought to use DHCPv6 to obtain
both addresses and other configuration information.

So, let's ask John to repost complete, updated text to reset
the discussion...

- Ralph

---

From: Markku Savela <[email-masked]>
Date: Fri, 21 Nov 2003 20:13:51 +0200

Just invading this thread for short comment...

> section 5.5.3 of RFC2462).  

Why would there be a "MUST"? The O/M bits are just hints what the node
could do as an alternate configuration mechanism, in case it doesn't
see any RA containing prefix option with A=1.

If it sees a prefix option with A=1, it can just autoconfigure and
ignore O/M bits.